#
# spec file for package isapnp (Version 1.26)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           isapnp
License:        GPL
Group:          Hardware/Other
Autoreqprov:    on
Prereq:         %fillup_prereq %insserv_prereq
Version:        1.26
Release:        505.1
Summary:        An ISA Plug and Play Configuration Utility
Source:         isapnptools-%{version}.tar.bz2
Source1:        boot.isapnp
Source2:        README.SuSE
Patch:          isapnp-1.26-powerpc.diff
Patch2:         isapnp-autotools.diff
Patch3:         isapnp-codecleanup.diff
Patch4:         isapnp-static_nonstatic_mix.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Two programs--one allows the dumping of resource data and generation of
a skeleton configuration file, the other configures ISA PnP hardware
using a configuration file.

For more information, refer to:
/usr/share/doc/packages/isapnp/README.SuSE



Authors:
--------
    Peter Fox <fox@roestock.demon.co.uk>

%debug_package
%package devel
Summary:        ISA PnP library and headers
Group:          Hardware/Other
Requires:       %{name} = %{version}
Provides:       isapnp:/usr/include/isapnp/pnp.h

%description devel
This package contains all that's needed to develop programs that use
libisapnp.



Authors:
--------
    Peter Fox <fox@roestock.demon.co.uk>

%prep
%setup -q -n isapnptools-%{version}
chmod u+x src/*
%patch
%patch2
%patch3
%patch4

%build
%define warn_flags -W -Wall -Wstrict-prototypes -Wno-unused-parameter
rm -f acconfig.h
autoreconf --force --install
export CFLAGS="%{optflags} %{warn_flags}"
./configure --mandir=%{_mandir} --prefix=/ --includedir=/usr/include --libdir=%_libdir
touch src/isapnp_main.l
make all

%install
rm -rf %{buildroot}
cp %SOURCE2 .
make DESTDIR=%{buildroot} install-strip
install -o root -g root -d %{buildroot}/etc/init.d
install -m 744 %SOURCE1 %{buildroot}/etc/init.d/boot.isapnp

%post
%{fillup_and_insserv -sy boot.isapnp START_ISAPNP}

%postun
%{insserv_cleanup}

%files
/sbin/isapnp
/sbin/pnpdump
%config /etc/init.d/boot.isapnp
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.SuSE
%doc doc/isapnpfaq.txt
%doc %{_mandir}/man5/*.5.gz
%doc %{_mandir}/man8/*.8.gz

%files devel
/usr/include/isapnp
%_libdir/libisapnp.a

%changelog -n isapnp
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Apr 18 2005 - pth@suse.de
- Fix mixed static/non-static declaration.
* Fri Feb 20 2004 - ro@suse.de
- do nothing for stop case of boot.isapnp
* Sun May 11 2003 - pthomas@suse.de
- Fix file list.
* Fri May 09 2003 - pthomas@suse.de
- Temporarily work around problems with mod_devicetable.h
- Change configure.in for autoconf >= 2.5x and run autoreconf
- Compile with warnings enabled and fix most compiler warnings.
- Split off isapnp-devel package.
- Split up isapnptools-1.26.dif and make README.SuSE a file
  copied from source directory instead of creating it from
  diff.
* Mon Aug 19 2002 - uli@suse.de
- added Prereq: %%fillup_prereq %%insserv_prereq (bug #17884)
* Thu Aug 15 2002 - ro@suse.de
- remove boot.setup from required-start in boot.isapnp
* Mon Aug 05 2002 - kukuk@suse.de
- Remove serial from Required-Start
* Thu Aug 01 2002 - uli@suse.de
- fixed for lib64 archs
* Thu Jul 11 2002 - kukuk@suse.de
- Add Should-Start to init script header
- Change serial -> setserial in init script header
* Fri Feb 01 2002 - uli@suse.de
- made boot.isapnp a real init script (bug #13001)
* Wed Dec 05 2001 - ro@suse.de
- moved boot.isapnp to this package
- removed START variable and use fillup_and_insserv
* Tue Jul 24 2001 - uli@suse.de
- update -> 1.26
* Fri Mar 30 2001 - uli@suse.de
- fixed to build on PPC
* Fri Nov 24 2000 - uli@suse.de
- fixed to build on PPC
* Thu Feb 24 2000 - kukuk@suse.de
- Move /usr/man -> /usr/share/man
- Add rc.config variable from aaa_base
- Remove Makefile.Linux
* Fri Feb 11 2000 - uli@suse.de
- now builds on PPC
- successfully tested on PReP architecture! (should also work on CHRP)
* Mon Jan 03 2000 - uli@suse.de
- update -> 1.21
* Tue Oct 26 1999 - uli@suse.de
- update -> 1.19
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 17 1999 - uli@suse.de
- fixed README.SuSE
* Thu Mar 04 1999 - uli@suse.de
- update 1.17 -> 1.18
- removed *.orig files
* Mon Dec 07 1998 - uli@suse.de
- fixed version no. in spec file
* Mon Nov 16 1998 - uli@suse.de
- update 1.10 -> 1.17
* Thu Jun 19 1997 - rj@suse.de
- new version 1.10
* Mon Mar 24 1997 - kfr@suse.de
- added /sbin/init.d/pnp an links in runlevel 1-3
* Sun Feb 09 1997 - kfr@suse.de
- new version: 1.9
- new: man-pages
- /sbin/init.d/pnp added (linked as S01pnp in runlevel 1, 2, 3)
- /usr/doc/packages/isapnp/README.SuSE added
